diff --git a/drivers/watchdog/wdt_nrfx.c b/drivers/watchdog/wdt_nrfx.c
index 4459b7fac6d..759f584ced3 100644
--- a/drivers/watchdog/wdt_nrfx.c
+++ b/drivers/watchdog/wdt_nrfx.c
@@ -23,9 +23,6 @@ struct wdt_nrfx_data {
 	uint32_t m_timeout;
 	uint8_t m_allocated_channels;
 	bool enabled;
-#if defined(WDT_NRFX_SYNC_STOP)
-	struct k_sem sync_stop;
-#endif
 };
 
 struct wdt_nrfx_config {
@@ -81,10 +78,6 @@ static int wdt_nrf_disable(const struct device *dev)
 		return -EFAULT;
 	}
 
-#if defined(WDT_NRFX_SYNC_STOP)
-	k_sem_take(&data->sync_stop, K_FOREVER);
-#endif
-
 	nrfx_wdt_channels_free(&config->wdt);
 
 	for (channel_id = 0; channel_id < data->m_allocated_channels; channel_id++) {
@@ -184,13 +177,7 @@ static void wdt_event_handler(const struct device *dev, nrf_wdt_event_t event_ty
 {
 	struct wdt_nrfx_data *data = dev->data;
 
-#if defined(WDT_NRFX_SYNC_STOP)
-	if (event_type == NRF_WDT_EVENT_STOPPED) {
-		k_sem_give(&data->sync_stop);
-	}
-#else
 	(void)event_type;
-#endif
 	(void)p_context;
 
 	while (requests) {
@@ -236,9 +223,6 @@ static void wdt_event_handler(const struct device *dev, nrf_wdt_event_t event_ty
 		return 0;						       \
 	}								       \
 	static struct wdt_nrfx_data wdt_##idx##_data =	{		       \
-		IF_ENABLED(WDT_NRFX_SYNC_STOP,				       \
-			(.sync_stop = Z_SEM_INITIALIZER(		       \
-				wdt_##idx##_data.sync_stop, 0, 1),))	       \
 	};								       \
 	static const struct wdt_nrfx_config wdt_##idx##z_config = {	       \
 		.wdt = NRFX_WDT_INSTANCE(idx),				       \
